org.eclipse.mat.ui.internal.browser

## Class QueryContextHelp

- java.lang.Object
- - PopupDialog
  - - org.eclipse.mat.ui.internal.browser.QueryContextHelp

    public class QueryContextHelp
    extends PopupDialog

### Constructor Summary

Constructors
Constructor and Description
`QueryContextHelp(Shell parent, IAnnotatedObjectDescriptor query, IQueryContext queryContext, Rectangle bounds)`
`QueryContextHelp(Shell shell, IAnnotatedObjectDescriptor queryDescriptor, Rectangle helpBounds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()` Tidy up
`IAnnotatedObjectDescriptor` `getQuery()`
`void` `resize(Rectangle rectangle)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryContextHelp

    public QueryContextHelp(Shell shell,
                            IAnnotatedObjectDescriptor queryDescriptor,
                            Rectangle helpBounds)

#### QueryContextHelp

    public QueryContextHelp(Shell parent,
                            IAnnotatedObjectDescriptor query,
                            IQueryContext queryContext,
                            Rectangle bounds)

### Method Detail

#### getQuery

    public IAnnotatedObjectDescriptor getQuery()

#### resize

    public void resize(Rectangle rectangle)

#### close

    public boolean close()

Tidy up